package com.ruoyi.ucp.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.ucp.entity.TurbineInfoDay;
import com.ruoyi.ucp.mapper.TurbineInfoDayMapper;
import com.ruoyi.ucp.service.ITurbineInfoDayService;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author gfhd
 * @since 2024-05-29
 */
@Service
@DataSource(DataSourceType.SLAVE)
public class TurbineInfoDayServiceImpl extends ServiceImpl<TurbineInfoDayMapper, TurbineInfoDay> implements ITurbineInfoDayService {
    @Override
    public List<TurbineInfoDay> list(Wrapper<TurbineInfoDay> queryWrapper) {
        return super.list(queryWrapper);
    }

    //save方法
    @Override
    public boolean save(TurbineInfoDay entity) {
        return super.save(entity);
    }

    //getOne
    @Override
    public TurbineInfoDay getOne(Wrapper<TurbineInfoDay> queryWrapper) {
        return super.getOne(queryWrapper);
    }

    //根据ID更新
    @Override
    public boolean updateById(TurbineInfoDay entity) {
        return super.updateById(entity);
    }




    @Override
    public boolean saveOrUpdateBatch(Collection<TurbineInfoDay> entityList) {
        return super.saveOrUpdateBatch(entityList);
    }
}
